# SH52 - Get shipping charges configured for a shop account

DescriptionGet shipping charges and their configuration
Call FrequencyRecommended usage: Every weekMaximum usage: Every hour

Endpoint: GET /api/shipping/charges/shop
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN

## Query parameters:

  - `overridden_by_shop` (boolean)
    Retrieve only the shipping charge configurations customized by the seller

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `configuration` (array, required)
    The configuration of the shipping charges.

  - `configuration.logistic_class_code` (string, required)
    The logistic class code.

  - `configuration.overridden_by_shop` (boolean, required)
    Indicates whether the shop provided a custom configuration or not.

  - `configuration.prices` (object, required)

  - `configuration.prices.additional_price` (number)
    The value of the additional price per additional offer unit in the order. Not applicable when type is FREE_SHIPPING or ORDER_RANGE.

  - `configuration.prices.free_shipping_threshold` (number)
    The minimum order value threshold, above which shipping becomes free for the customer. Not applicable when type is ORDER_RANGE.

  - `configuration.prices.initial_price` (number)
    The value of the standard shipping price. Not applicable when type is FREE_SHIPPING or ORDER_RANGE.

  - `configuration.prices.ranges` (array)
    The details of the shipping price ranges. Applicable only when type is ORDER_RANGE.

  - `configuration.prices.ranges.price` (number, required)
    The value of the shipping price.

  - `configuration.prices.ranges.threshold` (number, required)
    The threshold amounts from which the configured shipping price applies.

  - `configuration.prices.type` (string, required)
    The rule applying on the shipping charge.
Enum: `"FIXED_PRICE"`, `"FREE_SHIPPING"`, `"ORDER_RANGE"`

  - `configuration.shipping_method_code` (string, required)
    The shipping method code.

  - `configuration.shipping_zone_code` (string, required)
    The shipping zone code.

  - `currency_iso_code` (string, required)
    3-letters ISO code of the currency used on the shipping charges.
Enum: `"AED"`, `"ARS"`, `"AUD"`, `"BAM"`, `"BGN"`, `"BHD"`, `"BRL"`, `"CAD"`, `"CHF"`, `"CLP"`, `"CNY"`, `"COP"`, `"CZK"`, `"DKK"`, `"EGP"`, `"EUR"`, `"GBP"`, `"GEL"`, `"GTQ"`, `"HKD"`, `"HRK"`, `"HUF"`, `"IDR"`, `"ILS"`, `"INR"`, `"IQD"`, `"JOD"`, `"JPY"`, `"KES"`, `"KRW"`, `"KWD"`, `"LKR"`, `"MAD"`, `"MGA"`, `"MXN"`, `"MYR"`, `"NGN"`, `"NOK"`, `"NZD"`, `"OMR"`, `"PEN"`, `"PHP"`, `"PKR"`, `"PLN"`, `"QAR"`, `"RON"`, `"RSD"`, `"RUB"`, `"SAR"`, `"SEK"`, `"SGD"`, `"TND"`, `"TRY"`, `"THB"`, `"TWD"`, `"UAH"`, `"USD"`, `"UYU"`, `"UZS"`, `"VND"`, `"ZAR"`

  - `last_updated_date` (string, required)
    The date and time of update of the shipping charge configuration.

  - `shop_id` (integer, required)
    The shop identifier for which shipping charges are configured.

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

